function selectWord(en, fr) {
    switch (LANG) {
        case 'fr':
            return fr;
        default:
            return en;
    }
}

const LANG = navigator.language.substr(0, 2).toLowerCase();
const SHIELD_PER_SECOND = 5;
const COLOR_ATTACK = 0xff0000;
const COLOR_MOVE = 0x0000ff;
const COLOR_CONDITION = 0x0e0e0e;
const WIDTH_WINDOW = $(document).width() - 20;
const HEIGHT_WINDOW = $(document).height() - 20;
const WIDTH_MAP = WIDTH_WINDOW < HEIGHT_WINDOW ? WIDTH_WINDOW * 0.8 : HEIGHT_WINDOW * 0.8;
const SPEED = 2;
const LIFE = 100;
const DAMAGE = 40;
const SHIELD = 100;
const RANGE = WIDTH_MAP / 2;


var config = {
    type: Phaser.AUTO,
    width: WIDTH_WINDOW,
    height: HEIGHT_WINDOW,
    parent: 'all',
    backgroundColor: '#35363A',
};

var game = new Phaser.Game(config);

game.scene.add('Boot', Boot);
game.scene.add('Type', Type);
game.scene.add('Game', new Game(game));
game.scene.start('Boot');
