class Move {
    constructor(toward) { //true = move toward / false = flee from
        this.toward = toward;
    }

    do(robot) {
        if (robot.haveTarget()) {
            if (this.toward === true) {
                return this.moveToward(robot);
            } else {
                return this.fleeFrom(robot);
            }
        }
        return false;
    }

    moveToward(robot) {
        return robot.advanceToTarget();
    }

    fleeFrom(robot) {
        return robot.fleeFromTarget();
    }
}